Portfolio
Get portfolio positions
Returns the positions slice of the unified portfolio for the authenticated wallet.
GET
Get portfolio positions
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns the positions slice of the unified portfolio for the authenticated wallet.
curl --request GET \
--url https://api.quantdesk.app/api/v2/portfolio/positions \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": [
{
"market": "SOL-PERP",
"side": "long",
"size": 12.5,
"entry_price": 160.1,
"current_price": 168.42,
"unrealized_pnl": 104,
"leverage": 5
}
]
}curl --request GET \
--url https://api.quantdesk.app/api/v2/portfolio/positions \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": [
{
"market": "SOL-PERP",
"side": "long",
"size": 12.5,
"entry_price": 160.1,
"current_price": 168.42,
"unrealized_pnl": 104,
"leverage": 5
}
]
}